Package com.sas.lsaf.clinical.tlf

## Class AnalysisDataset

- java.lang.Object
- - com.sas.lsaf.core.AbstractIdentifiable
  - - com.sas.lsaf.clinical.tlf.AnalysisDataset

- All Implemented Interfaces:
    `Identifiable`, `java.io.Serializable`

      public class AnalysisDataset
      extends AbstractIdentifiable

  The class that represents the data set metadata of an analysis result.
  Since:
    2.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AnalysisDataset​(java.lang.String id, java.lang.String resultId, java.lang.String resultIdentifier, java.lang.String name, java.lang.String analysisColumns, java.lang.String whereClause)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getAnalysisColumns()` | Gets the analysis columns of the analysis data set.
    `java.lang.String` | `getName()` | Gets the name of the analysis data set.
    `java.lang.String` | `getResultId()` | Gets the unique id of the analysis data set.
    `java.lang.String` | `getResultIdentifier()` | Gets the unique identifier of the analysis data set.
    `java.lang.String` | `getWhereClause()` | Gets the where clause of the analysis data set.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.core.AbstractIdentifiable

      `getId, getTypeId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AnalysisDataset

          public AnalysisDataset​(java.lang.String id,
                                 java.lang.String resultId,
                                 java.lang.String resultIdentifier,
                                 java.lang.String name,
                                 java.lang.String analysisColumns,
                                 java.lang.String whereClause)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the analysis data sets returned by the API.
      Parameters:
        `id` - The unique id of the analysis data set.
        `resultId` - The unique identifier of the analysis result to which this data set is associated.
        `resultIdentifier` - The result identifier of the analysis result to which this data set is associated.
        `name` - The name of the analysis data set.
        `analysisColumns` - The analysis columns of the data set.
        `whereClause` - The where clause of the data set.

  - ### Method Detail

    - #### getResultId

          public java.lang.String getResultId()

      Gets the unique id of the analysis data set.
      Returns:
        The id.

    - #### getResultIdentifier

          public java.lang.String getResultIdentifier()

      Gets the unique identifier of the analysis data set.
      Returns:
        The identifier.

    - #### getName

          public java.lang.String getName()

      Gets the name of the analysis data set.
      Returns:
        The name.

    - #### getAnalysisColumns

          public java.lang.String getAnalysisColumns()

      Gets the analysis columns of the analysis data set.
      Returns:
        The analysis columns.

    - #### getWhereClause

          public java.lang.String getWhereClause()

      Gets the where clause of the analysis data set.
      Returns:
        The where clause.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `AbstractIdentifiable`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractIdentifiable`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `AbstractIdentifiable`